[arch-commits] CVS update of extra/lib/perl-io-zlib (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jun 17 12:50:44 EDT 2007


    Date: Sunday, June 17, 2007 @ 12:50:44
  Author: jgc
    Path: /home/cvs-extra/extra/lib/perl-io-zlib

Modified: PKGBUILD (1.3 -> 1.4)

upgpkg: perl-io-zlib 1.05-1
Cleanup perl packaging


----------+
 PKGBUILD |   30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)


Index: extra/lib/perl-io-zlib/PKGBUILD
diff -u extra/lib/perl-io-zlib/PKGBUILD:1.3 extra/lib/perl-io-zlib/PKGBUILD:1.4
--- extra/lib/perl-io-zlib/PKGBUILD:1.3	Fri Jun 15 08:31:37 2007
+++ extra/lib/perl-io-zlib/PKGBUILD	Sun Jun 17 12:50:43 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.3 2007/06/15 12:31:37 andyrtr Exp $
+# $Id: PKGBUILD,v 1.4 2007/06/17 16:50:43 jgc Exp $
 # Maintainer: Dale Blount <dale at archlinux.org>
 
 pkgname=perl-io-zlib
@@ -6,20 +6,22 @@
 pkgrel=1
 pkgdesc="Perl module for IO:: Style Interface to Compress::Zlib"
 arch=(i686 x86_64)
-url="http://search.cpan.org/~tomhughes/IO-Zlib-$pkgver/Zlib.pm"
-depends=('perl>=5.8.4-1' 'perl-compress-zlib')
-source=(http://search.cpan.org/CPAN/authors/id/T/TO/TOMHUGHES/IO-Zlib-$pkgver.tar.gz)
+url="http://search.cpan.org/~tomhughes/IO-Zlib-${pkgver}/Zlib.pm"
+depends=('perl>=5.8.8' 'perl-compress-zlib')
+source=(http://search.cpan.org/CPAN/authors/id/T/TO/TOMHUGHES/IO-Zlib-${pkgver}.tar.gz)
 md5sums=('06ca28954fc92cbee67c807cc6d7f599')
 
 build() {
-  cd $startdir/src/IO-Zlib-$pkgver
-  /usr/bin/perl Makefile.PL
-  # ugly hack to make install location
-  # compatible with newer versions of perl.
-  # NOTE: if perl version changes from 5.8.6, change sed line too
-  /bin/sed -i "s:5.8.8:current:g" Makefile
-  /usr/bin/make || return 1
-  /usr/bin/make install DESTDIR=$startdir/pkg
-  /bin/rm $startdir/pkg/usr/lib/perl5/current/${CARCH}-linux-thread-multi/perllocal.pod
-  /bin/rm $startdir/pkg/usr/lib/perl5/site_perl/current/${CARCH}-linux-thread-multi/auto/IO/Zlib/.packlist
+  cd ${startdir}/src/IO-Zlib-${pkgver}
+  # Force module installation to "current" perl directories.
+  eval `perl -V:archname`
+  perl Makefile.PL \
+    INSTALLARCHLIB=/usr/lib/perl5/current/${archname} \
+    INSTALLSITELIB=/usr/lib/perl5/site_perl/current \
+    INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname}
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+
+  rm -f ${startdir}/pkg/usr/lib/perl5/current/${CARCH}-linux-thread-multi/perllocal.pod
+  rm -f ${startdir}/pkg/usr/lib/perl5/site_perl/current/${CARCH}-linux-thread-multi/auto/IO/Zlib/.packlist
 }




More information about the arch-commits mailing list